Companies
Get related person application
GET
https://api.firstleeward.com/v0/companies/:id/related-person-applications/:applicationIdRetrieves a specific KYC verification application for a related person.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
idstring<uuid>requiredUnique company identifier
applicationIdstring<uuid>requiredUnique related person application identifier
Response
200Related person application details
idstring<uuid>requiredUnique company application identifier
companyIdstring<uuid>requiredCompany this application belongs to
statusstringrequiredApplication lifecycle status
Available options:
INITIATEDIN_PROGRESSAPPROVEDREJECTEDREVIEW_REQUIREDWORKFLOW_ERROREXPIREDsessionUrlstring | nullrequiredURL for the corporate client to complete verification
expiresAtstring | nullrequiredWhen the verification session URL expires (ISO 8601)
createdAtstringrequiredWhen the application was created (ISO 8601)
updatedAtstringrequiredWhen the application was last updated (ISO 8601)
relatedPersonIdstring<uuid>requiredRelated person this application belongs to
404Response for status 404
Option 1 · CompanyNotFoundError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequiredOption 2 · CompanyRelatedPersonApplicationNotFoundError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired